Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.relaxns.grammar
Class ExternalAttributeExp

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.OtherExp
              com.sun.msv.relaxns.grammar.ExternalAttributeExp

All Implemented Interfaces:
  java.io.Serializable

public class ExternalAttributeExp
extends OtherExp

place holder for imported attributes declaration. This class also provides stub methods so that programs who are not aware to divide&validate can gracefully degrade.

In MSV, importing AttributesDecl from different implementations is not supported. ExternalAttributeExp is always replaced by their target Expression before validation.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `namespaceURI` namespace URI that this object belongs to.
`java.lang.String` | `role` name of the imported AttributesDecl
`org.xml.sax.Locator` | `source` where did this reference is written in the source file.

Fields inherited from class com.sun.msv.grammar.OtherExp
`exp`

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Constructor Summary
`ExternalAttributeExp(ExpressionPool pool, java.lang.String namespaceURI, java.lang.String role, org.xml.sax.Locator loc)`

Methods inherited from class com.sun.msv.grammar.OtherExp
`equals, printName, visit, visit, visit, visit`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceURI

    public final java.lang.String namespaceURI

  namespace URI that this object belongs to.

### role

    public final java.lang.String role

  name of the imported AttributesDecl

### source

    public transient org.xml.sax.Locator source

  where did this reference is written in the source file. can be set to null (to reduce memory usage) at anytime.

Constructor Detail

### ExternalAttributeExp

    public ExternalAttributeExp(ExpressionPool pool,
                                java.lang.String namespaceURI,
                                java.lang.String role,
                                org.xml.sax.Locator loc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD